result.appendSource(entry.srcText).append(": ");

def map = entry.translationWithComments
def count = map.size() - 1

map.each { tra,commentsList ->     
	if (commentsList.size() > 0) {
        StringBuffer tip = new StringBuffer();
	    for (com in commentsList) if ((com != null) && (com.length() > 0)) {
		    tip.append(com).append ("; "); 
	    }
        result.startTooltip(tip.toString());
    }	
	result.appendTarget(tra, entry.hasPriorities(tra));
    if (commentsList.size() > 0) result.endTooltip();
	if (count-- > 0) result.append(",");
}

result.append("\n\n");